./security/easy-rsa [small RSA key management package]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 3.0.1, Package name: easy-rsa-3.0.1
Maintained by: The OpenBSD ports mailing-list
Master sites:
Description
Easy-RSA is a small RSA key management package, based on the openssl
command line tool, that can be found in the easy-rsa subdirectory
of the OpenVPN distribution. While this tool is primarily concerned
with key management for the SSL VPN application space, it can also
be used for building web certificates.


Filesize: 40 KB
Version History (View Complete History)
  • (2016-02-18) Updated to version: easy-rsa-3.0.1
  • (2013-04-02) Package added to openports.se, version easy-rsa-2.2.0 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2016-02-18 06:50:00 by Stuart Henderson | Files touched by this commit (20)
Log message:
update to easy-rsa 3.0.1.
The previous version was supposed to have been patched to use openssl
(instead of libressl) for ENV:: handling but this patch didn't work
correctly, and even with that fixed, there was an issue with easy-rsa
that caused generation to fail after the first certificate ("TXT_DB
error number 2"), which https://community.openvpn.net/openvpn/ticket/229
marks as WONTFIX for easy-rsa 2.x.
OK ajacoutot@ jasper@
   2015-12-14 07:25:57 by Stuart Henderson | Files touched by this commit (2)
Log message:
MFC changes to easy-rsa (use ports openssl instead of libressl for
env variable handling)
   2015-12-14 07:25:57 by Stuart Henderson | Files touched by this commit (2)
Log message:
MFC changes to easy-rsa (use ports openssl instead of libressl for
env variable handling)
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-19 06:44:38 by Stuart Henderson | Files touched by this commit (16)
Log message:
switch easy-rsa to using openssl to unbreak; libressl doesn't allow $ENV::
in config files and easy-arrrrsa uses this heavily.
   2015-09-18 16:04:44 by Stuart Henderson | Files touched by this commit (1)
Log message:
mark as BROKEN, it relies on passing CN etc to openssl(1) via environment variables